<?php

/*

'###########################################################################
'#
'# NESCafe Proxy Server to Pass Usage Data to www.davieboy.net
'#
'# @author  : David de Niese
'# @website : http://www.davieboy.net
'# @version : 0.615
'#
'# This script is required by NESCafe and must be installed in the same
'# directory as the NESCafe JAR file on HTTP server so that the Applet 
'# can pass usage and game information back to the NESCafe website. 
'#
'###########################################################################

*/


// Prevent Cache by Expiring

	header('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); 
	header('Cache-Control: no-store, no-cache, must-revalidate'); 
	header('Cache-Control: post-check=0, pre-check=0', FALSE); 
	header('Pragma: no-cache'); 




// Get the Command Line Settings

	$full = "";

	if (isset($_GET))
	{

		foreach ($_GET as $i => $value) 
		{

			if ($full!="")
				$full = $full."&";
	
			$full = $full.$i."=".$_GET[$i];
		
		}

	}



// Declare URL of NESCafe Server at davieboy for Key Exchange

	$url = "http://www.davieboy.net/nescafe/nescafe.appletserver.asp?$full";


// Declare Timeout for Socket

	$fsocket_timeout = 10;


// Parse URL into Pieces

	$urlParts = parse_url($url);


// Determine the Hostname

	$host = $urlParts['host'];


// Determine the Port

	$port = (isset($urlParts['port'])) ? $urlParts['port'] : 80;


// Open the Socket

	if ( !$fp = @fsockopen( $host, $port, $errno, $errstr, $fsocket_timeout )) 
	{ 

		echo "No Response\r\n";
		exit;

	}
	else
	{


		// Open Input Stream 

			if ( !fputs( $fp, "GET $url HTTP/1.0\r\nHost:$host\r\n\r\n" )) 
			{ 

				echo "Unable to send request\r\n";
				exit;
	
			}


		// Retrieve Data

			$data = null;

			stream_set_timeout($fp, $fsocket_timeout);

			$status = socket_get_status($fp);

			while( !feof($fp) && !$status['timed_out'])
			{

				$data  .= fgets ($fp, 8192);
				$status = socket_get_status($fp);

			}


		// Close Stream

			fclose ($fp);


		// Grab Data After the Headers

			$sData = split("\r\n\r\n", $data, 2); 
			$data = $sData[1];


		// Respond with Data

			echo $data;

	}



// Exit Script

	exit;


?>
